#include "options.h"
#include <QApplication>
#include <QTime>
#include <QString>
#include <QObject>

Options::Options(QString joueur1, QString joueur2, QTime const& temps, bool son, QObject *parent) :
    QObject(parent),
    _tempsDepart(temps),
    _nomJoueur1 (joueur1),
    _nomJoueur2 (joueur2),
    _son (son)
{
}

Options::~Options ()
{

}

void Options::setNomJoueur1(QString joueur) {
    _nomJoueur1 = joueur;
}

void Options::setNomJoueur2(QString joueur) {
    _nomJoueur2 = joueur;
}

void Options::setTempsDepart(QTime const& temps) {
    _tempsDepart = temps;
}

void Options::setSon (bool son) {
    _son = son;
}

QString Options::nomJoueur1() const {
    return _nomJoueur1;
}

QString Options::nomJoueur2() const {
    return _nomJoueur2;
}

QTime Options::tempsDepart() const {
    return _tempsDepart;
}

bool Options::son() const {
    return _son;
}
